Subject: bug#20123: closed (Re: bug#20123: 24.4.91; Unwarranted "Unused lexical argument" for condition-case)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Mar 2015 20:23:03 +0000

Your bug report

#20123: 24.4.91; Unwarranted "Unused lexical argument" for condition-case

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20123: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20123
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20123: 24.4.91; Unwarranted "Unused lexical argument" for condition-case
From: Stefan Monnier <[email-masked]>
To: Oleh Krehel <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Mar 2015 16:22:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

> I can confirm that this is fixed in 25.1, thanks. Sorry for the noise.

Thanks,

        Stefan

Subject: 24.4.91; Unwarranted "Unused lexical argument" for condition-case
From: Oleh Krehel <[email-masked]>
To: [email-masked]
Date: Mon, 16 Mar 2015 19:42:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Here's an example code:

    (define-error 'unsupported-mode-error "Unsupported mode")
    (condition-case e
        (if (eq 'a 'a)
            (message "test")
          (signal 'unsupported-mode-error major-mode))
      (unsupported-mode-error
       (signal (car e) (cdr e)))
      (error
       (message "error")))

As you can see, I'm trying to re-throw some of the errors, so the variable `e' is used
inside `condition-case'. But I still get an "Unused lexical argument" warning.

regards,
Oleh